package com.yunfeiyun.agmp.common.web.system.mapper;

import com.yunfeiyun.agmp.common.web.system.domain.SysMenuConfig;

import java.util.List;

/**
 * 菜单表 数据层
 *
 * @author 杨晓辉
 */
public interface SysMenuConfigMapper
{
    /**
     * 查询系统菜单列表
     *
     * @param menu 菜单信息
     * @return 菜单列表
     */
    public List<SysMenuConfig> selectMenuConfigList(SysMenuConfig menu);
    public List<SysMenuConfig> selectMenuConfigByCfgId(String menucfgSys);
    public SysMenuConfig selectMenuConfigByMenuId(String menuId);

    /**
     * 新增菜单信息
     *
     * @param menuConfig 菜单信息
     * @return 结果
     */
    public int insertMenuConfig(SysMenuConfig menuConfig);

    /**
     * 修改菜单信息
     *
     * @param menuConfig 菜单信息
     * @return 结果
     */
    public int updateMenuConfig(SysMenuConfig menuConfig);

    /**
     * 删除菜单管理信息
     *
     * @param menucfgId 菜单ID
     * @return 结果
     */
    public int deleteMenuConfigById(String menucfgId);

    /**
     * 删除菜单管理信息
     *
     * @param menuId 菜单ID
     * @return 结果
     */
    public int deleteMenuConfigByMenuId(String menuId);

}
